using System.Xml.Serialization;

namespace economy.Models.Days.Anniversary
{
    // 검색결과 변수
    [XmlRoot("response")]
    public class Response
    {
        [XmlElement("header")]
        public Header Header { get; set; }

        [XmlElement("body")]
        public Body Body { get; set; }
    }

    public class Header
    {
        [XmlElement("resultCode")]
        public string ResultCode { get; set; }

        [XmlElement("resultMsg")]
        public string ResultMsg { get; set; }
    }

    public class Body
    {
        [XmlElement("items")]
        public Items Items { get; set; }

        [XmlElement("numOfRows")]
        public int NumOfRows { get; set; }

        [XmlElement("pageNo")]
        public int PageNo { get; set; }

        [XmlElement("totalCount")]
        public int TotalCount { get; set; }
    }

    public class Items
    {
        [XmlElement("item")]
        public List<Item> ItemList { get; set; }
    }

    public class Item
    {
        public int Num { get; set; }

        [XmlElement("dateKind")]
        public string DateKind { get; set; } // 종류

        [XmlElement("dateName")]
        public string DateName { get; set; } // 명칭

        [XmlElement("isHoliday")]
        public string IsHoliday { get; set; } // 공공기관 휴일여부

        [XmlElement("locdate")]
        public string LocDate { get; set; } // 날짜

        [XmlElement("seq")]
        public int Seq { get; set; } // 순번
    }
}
